From a24e5e5e8426da23164f3527744de4f33e2747e0 Mon Sep 17 00:00:00 2001
From: Dongkangjia <dongkangjia@ti.com>
Date: Wed, 7 Sep 2022 16:49:18 +0800
Subject: [PATCH] upgrade TIDL to 8.4 memory map changes

---
 .../arch/arm64/boot/dts/ti/k3-j721e-som-p0.dtsi        |  6 +++---
 .../arch/arm64/boot/dts/ti/k3-j721e-vision-apps.dtso   | 10 +++++-----
 2 files changed, 8 insertions(+), 8 deletions(-)

diff --git a/board-support/linux-5.4.74+gitAUTOINC+9574bba32a-g9574bba32a/arch/arm64/boot/dts/ti/k3-j721e-som-p0.dtsi b/board-support/linux-5.4.74+gitAUTOINC+9574bba32a-g9574bba32a/arch/arm64/boot/dts/ti/k3-j721e-som-p0.dtsi
index 90bcc6be3..d4ea9a533 100644
--- a/board-support/linux-5.4.74+gitAUTOINC+9574bba32a-g9574bba32a/arch/arm64/boot/dts/ti/k3-j721e-som-p0.dtsi
+++ b/board-support/linux-5.4.74+gitAUTOINC+9574bba32a-g9574bba32a/arch/arm64/boot/dts/ti/k3-j721e-som-p0.dtsi
@@ -130,12 +130,12 @@
 
 		c71_0_memory_region: c71-memory@a8100000 {
 			compatible = "shared-dma-pool";
-			reg = <0x00 0xa8100000 0x00 0xf00000>;
+			reg = <0x00 0xa8100000 0x00 0x01f00000>;
 			no-map;
 		};
 
-		rtos_ipc_memory_region: ipc-memories@aa000000 {
-			reg = <0x00 0xaa000000 0x00 0x01c00000>;
+		rtos_ipc_memory_region: ipc-memories@ab000000 {
+			reg = <0x00 0xab000000 0x00 0x02000000>;
 			alignment = <0x1000>;
 			no-map;
 		};
diff --git a/board-support/linux-5.4.74+gitAUTOINC+9574bba32a-g9574bba32a/arch/arm64/boot/dts/ti/k3-j721e-vision-apps.dtso b/board-support/linux-5.4.74+gitAUTOINC+9574bba32a-g9574bba32a/arch/arm64/boot/dts/ti/k3-j721e-vision-apps.dtso
index f2719997f..13c2b782f 100644
--- a/board-support/linux-5.4.74+gitAUTOINC+9574bba32a-g9574bba32a/arch/arm64/boot/dts/ti/k3-j721e-vision-apps.dtso
+++ b/board-support/linux-5.4.74+gitAUTOINC+9574bba32a-g9574bba32a/arch/arm64/boot/dts/ti/k3-j721e-vision-apps.dtso
@@ -102,18 +102,18 @@
 	    reg = <0x00 0xa5900000 0x00 0x00700000>;
 	    no-map;
 	};
-	vision_apps_memory_region: vision_apps-dma-memory@ac000000 {
+	vision_apps_memory_region: vision_apps-dma-memory@ad000000 {
 		compatible = "shared-dma-pool";
-		reg = <0x00 0xac000000 0x00 0x02000000>;
+		reg = <0x00 0xad000000 0x00 0x02000000>;
 		no-map;
 	};
 	vision_apps_shared_region: vision_apps_shared-memories {
 		compatible = "dma-heap-carveout";
-		reg = <0x00 0xae000000 0x00 0x20000000>;
+		reg = <0x00 0xaf000000 0x00 0x20000000>;
 	};
-	vision_apps_core_heaps: vision_apps-core-heap-memory@ce000000 {
+	vision_apps_core_heaps: vision_apps-core-heap-memory@cf000000 {
 		compatible = "shared-dma-pool";
-		reg = <0x00 0xce000000 0x00 0x2d000000>;
+		reg = <0x00 0xcf000000 0x00 0x2c000000>;
 		no-map;
 	};
 	vision_apps_mcu_r5fss0_core1_dma_memory_region: vision_apps-r5f-dma-memory@fb000000 {
-- 
2.17.1

